Package: org.gradle.nativeplatform.toolchain

## [Java] Interface GccCommandLineToolConfiguration

- org.gradle.nativeplatform.toolchain.CommandLineToolConfiguration

- All Superinterfaces:
    CommandLineToolConfiguration

  An executable tool used for GCC that allows customizing the executable.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getExecutable()` The name of the executable file for this tool.
    `void` | `setExecutable(String file)` Set the name of the executable file for this tool.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface CommandLineToolConfiguration` | `withArguments`

- - ### Method Detail

    - #### public String getExecutable()

      The name of the executable file for this tool.

    - #### public void setExecutable(String file)

      Set the name of the executable file for this tool. The executable will be located in the tool chain path.